{% extends "codex_app/base.html" %}
{% load thumbnail %}
{% block style %}
.image-list {
display: flex;
flex-wrap: wrap;
}
.image-list .image {
padding: 0.5em;
width: 300px;
border-bottom: 0.5px solid lightgrey;
}

.title a {
font-weight: bold;
color: grey;
}
{% endblock %}

{% block content %}


<h2>Images</h2>

<div class="image-list">
    {% for image in images %}
    <div class="image">
        <div class="title">
            <a href="{% url 'get_image' image.id %}">{{image}}</a>
        </div>
        <p>
            {{ image.imageannotation_set.count }} annotations
        </p>
        {% thumbnail image.file "100x100" crop="center" as im %}
        <img src="{{ im.url }}" width="{{ im.width }}" height="{{ im.height }}" />
        {% endthumbnail %}
    </div>
    {% endfor %}
</div>

{% endblock %}